It looks like the same mistake has been made that was made for SDK12 SP2. python-devel was shipped at 2.7.9 when python 2.7.13 is shipped with SLES 12 SP3 (and SP2.) The difference is the SP2 SDK update repo has a fix in for python-devel where SP3 SDK update repo does not.